language: php

sudo: false

php:
  - 7.2
  - 7.1
  - 7.0
  - 5.6
  - nightly

cache:
  directories:
    - $HOME/.composer/cache

env:
  global:
    - TARGET=phpunit_run

matrix:
  fast_finish: true
  include:
    - php: 5.6
      env: COMPOSER_FLAGS="--prefer-lowest"
    - php: 5.6
      env: FOSUSERBUNDLE_VERSION=1.3.*
    - php: 7.0
      env: SYMFONY_VERSION=2.8.*
    - php: 7.0
      env: SYMFONY_VERSION=3.4.*
    - php: 7.0
      env: FOSUSERBUNDLE_VERSION=2.0.*
    - php: 7.1
      env: TARGET=csfixer_dry_run
  allow_failures:
    - php: nightly

before_install:
  - phpenv config-rm xdebug.ini || echo "xdebug not available";
  - echo "memory_limit=4G" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini;

before_script:
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require "symfony/symfony:${SYMFONY_VERSION}" --dev --no-update; fi;
  - if [ "$FOSUSERBUNDLE_VERSION" != "" ]; then composer require "friendsofsymfony/user-bundle:${FOSUSERBUNDLE_VERSION}" --dev --no-update; fi;
  - if [ "$COMPOSER_FLAGS" != "" ]; then travis_wait composer update --prefer-dist --no-interaction --no-scripts $COMPOSER_FLAGS; fi;
  - composer install --prefer-dist --no-interaction --no-scripts

script:
  - make $TARGET
